# Class SurfaceStatus

java.lang.Object
org.openscience.jmol.app.surfacetool.SurfaceStatus

public class SurfaceStatus extends Object
Class that holds the surface status information that the surface tool needs.

## Constructor Summary

Constructors
Constructor
Description
`SurfaceStatus(Mesh m, int type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`updateExisting(Mesh m)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SurfaceStatus

public SurfaceStatus(Mesh m, int type)

Parameters:
  `m` - (mesh) the mesh representing the surface
  `type` - (int) representing the type of surface (eg. pmesh, isosurface...)

## Method Details

### updateExisting

public void updateExisting(Mesh m)